<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">

	<!-- Responsive Meta Tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Bootstrap Grid Systems</title>

	<!-- External CSS link-->
	<!-- <link rel="stylesheet" href="./index.css"> -->

	<!-- Bootstrap Link -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

</head>

<body class="text-center">
	<h1>Bootstrap Grid System</h1>

	<h2>Two Columns</h2>
	<div class="container-fluid">
		<!-- Row with two equal columns -->
		<h3>1:1 Ratio</h3>

		<div class="text-light row"> 

			<div class="bg-primary pt-3 pb-3 border border-dark col-6">
				6 Col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">
					6 Col
			</div>
		</div>

		<!-- Row with 1:2 columns -->
		<h3>1:2 Ratio</h3>

		<div class="text-light row"> 

			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				4 Col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-8">
				8 Col
			</div>
		</div>

		<!-- Row with 1:3 columns -->
		<h3>1:3 Ratio</h3>

		<div class="text-light row"> 

			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 Col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-9">
				9 Col
			</div>
		</div>

		<h2>Three Columns</h2>
		
		<h3>1:1:1 Ratio</h3>
		<div class="text-light row"> 

			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				4 Col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">
				4 Col
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				4 Col
			</div>
		</div>

		<h3>1:2:1 Ratio</h3>

		<div class="text-light row"> 

			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 Col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">
				6 Col
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 Col
			</div>
		</div>

		<h3>Uneven Ratio</h3>

		<div class="text-light row"> 

			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 Col
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-7">
				7 Col
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-2">
				2 Col
			</div>
		</div>

		<h2>Automatic Sizing</h2>
		<div class="text-light row "> 

			<div class="bg-primary pt-3 pb-3 border border-dark col">
				Auto
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">
				Auto
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">
				Auto
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">
				Auto
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">
				Auto
			</div>

		</div>


		<h2>Mobile Responsive Columns</h2>
			<div class="text-light row "> 

				<div class="bg-primary pt-3 pb-3 border border-dark col-md-3">
					Responsive
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col">
					Responsive
				</div>
			</div>


		<h2>Multi-Column Layouts</h2>

		<div class="text-light row "> 

			<div class="bg-primary pt-3 pb-3 border border-dark col">
				Catalog 1
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">
				Catalog 2
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">
				Catalog 3
			</div>
			 <div class="w-100"></div>

			<div class="bg-primary pt-3 pb-3 border border-dark col">
				Catalog 4
			</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">
				Catalog 5
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">
				Catalog 6
			</div>


		</div>


		<h2>Offsetting Columns</h2>

			<div class="text-light row">		
				<div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-2">
					Offset Column
				</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-3">
					Offset Column
				</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-6 offset-4">
					Offset Column
				</div>

			</div>


		<h2>Column Orders</h2>

		<div class="text-light row">
			<div class="bg-secondary pt-3 pb-3 border border-dark col order-first">
					Right
			</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col order-last">
					Left
				</div>
		</div>


	</div>


	<!-- Bootstrap Bundle Link -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>


</body>
</html>